# Uses of Enum Class
org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter.Kind

Packages that use IComputationStrategy.Parameter.Kind
Package
Description
org.eclipse.gef.fx.anchors
This package provides a visual anchor abstraction ( `IAnchor`), a related abstract base implementation (`AbstractAnchor`), as well as concrete anchor implementations ( `StaticAnchor`, `DynamicAnchor`) to manage dynamic positioning of visuals in dependence of others.

## Uses of IComputationStrategy.Parameter.Kind in org.eclipse.gef.fx.anchors

Methods in org.eclipse.gef.fx.anchors that return IComputationStrategy.Parameter.Kind
Modifier and Type
Method
Description
`final IComputationStrategy.Parameter.Kind`
IComputationStrategy.Parameter.`getKind()`
Retrieves the `IComputationStrategy.Parameter.Kind` of this parameter, which indicates whether a single value may be shared to compute the positions of all attached `AnchorKey`s or not.
`static IComputationStrategy.Parameter.Kind`
IComputationStrategy.Parameter.`getKind(Class<? extends IComputationStrategy.Parameter<?>> paramType)`
Returns the `IComputationStrategy.Parameter.Kind` returned by an instance of the given `IComputationStrategy.Parameter` type.
`static IComputationStrategy.Parameter.Kind`
IComputationStrategy.Parameter.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IComputationStrategy.Parameter.Kind[]`
IComputationStrategy.Parameter.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.gef.fx.anchors with parameters of type IComputationStrategy.Parameter.Kind
Modifier
Constructor
Description
``
`Parameter(IComputationStrategy.Parameter.Kind kind)`
Creates a new mandatory `IComputationStrategy.Parameter` of the given kind.
``
`Parameter(IComputationStrategy.Parameter.Kind kind, boolean optional)`
Creates a new optional parameter of the given kind.